"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AlertNotificationProvider = exports.AlertNotificationContext = void 0;

var _notistack = require("notistack");

var _react = _interopRequireWildcard(require("react"));

var _AlertNotificationContent = require("./AlertNotificationContent");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var AlertNotificationContext = /*#__PURE__*/_react["default"].createContext({
  show: function show() {
    return '';
  },
  // eslint-disable-next-line @typescript-eslint/no-empty-function
  hide: function hide() {}
});

exports.AlertNotificationContext = AlertNotificationContext;

var AlertNotificationWrapper = function AlertNotificationWrapper(_ref) {
  var children = _ref.children;

  var _useSnackbar = (0, _notistack.useSnackbar)(),
      enqueueSnackbar = _useSnackbar.enqueueSnackbar,
      closeSnackbar = _useSnackbar.closeSnackbar;

  var hideAlert = (0, _react.useCallback)(function (alertKey) {
    return closeSnackbar(alertKey);
  }, [closeSnackbar]);
  var showAlert = (0, _react.useCallback)(function (alertDetails) {
    var snackbarKey = enqueueSnackbar('', {
      preventDuplicate: true,
      key: alertDetails.id,
      variant: alertDetails.type,
      autoHideDuration: alertDetails.autoHideTime,
      anchorOrigin: {
        vertical: 'top',
        horizontal: 'right'
      },
      content: /*#__PURE__*/_react["default"].createElement(_AlertNotificationContent.AlertNotificationContent, _extends({
        onClose: function onClose() {
          return hideAlert(alertDetails.id);
        }
      }, alertDetails))
    });
    return snackbarKey === null || snackbarKey === void 0 ? void 0 : snackbarKey.toString();
  }, [enqueueSnackbar, hideAlert]);
  var contextValue = (0, _react.useMemo)(function () {
    return {
      show: function show(alertDetails) {
        return showAlert(alertDetails);
      },
      hide: function hide(alertKey) {
        return hideAlert(alertKey);
      }
    };
  }, [hideAlert, showAlert]);
  return /*#__PURE__*/_react["default"].createElement(AlertNotificationContext.Provider, {
    value: contextValue
  }, children);
};

var AlertNotificationProvider = function AlertNotificationProvider(_ref2) {
  var children = _ref2.children;
  return /*#__PURE__*/_react["default"].createElement(_notistack.SnackbarProvider, null, /*#__PURE__*/_react["default"].createElement(AlertNotificationWrapper, null, children));
};

exports.AlertNotificationProvider = AlertNotificationProvider;