"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useAlertNotifications = void 0;

var _react = require("react");

var _AlertNotificationProvider = require("../AlertNotificationProvider");

/**
 * Returns methods to Show and Hide Notification alerts.
 *
 * @see https://github.com/extenda/react-foundation-ui#4-components-reference
 */
var useAlertNotifications = function useAlertNotifications() {
  var _useContext = (0, _react.useContext)(_AlertNotificationProvider.AlertNotificationContext),
      show = _useContext.show,
      hide = _useContext.hide;

  return {
    show: show,
    hide: hide
  };
};

exports.useAlertNotifications = useAlertNotifications;