"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AlertNotificationContent = void 0;

var _material = require("@mui/material");

var _notistack = require("notistack");

var _react = _interopRequireDefault(require("react"));

var _configs = require("./configs");

var _types = require("./types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var AlertNotificationContent = /*#__PURE__*/_react["default"].forwardRef(function (props, ref) {
  var message = props.message,
      title = props.title,
      id = props.id,
      _props$type = props.type,
      type = _props$type === void 0 ? _types.AlertNotificationType.ERROR : _props$type,
      onClose = props.onClose;
  var alertIdentifier = id ? "-".concat(id) : '';
  return /*#__PURE__*/_react["default"].createElement(_notistack.SnackbarContent, {
    key: props.id,
    ref: ref,
    role: "alert"
  }, /*#__PURE__*/_react["default"].createElement(_material.Container, {
    "data-testid": "alert-notification".concat(alertIdentifier),
    style: {
      minWidth: 350,
      padding: 0,
      borderRadius: 2,
      border: "2px solid ".concat(_configs.alertConfig[type].borderColor)
    }
  }, /*#__PURE__*/_react["default"].createElement(_material.Alert, {
    "data-testid": "alert-notification-message",
    severity: type,
    onClose: onClose
  }, title && /*#__PURE__*/_react["default"].createElement(_material.AlertTitle, {
    "data-testid": "alert-notification-title"
  }, title), message)));
});

exports.AlertNotificationContent = AlertNotificationContent;